Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.simulation.hybrid
Class Trigger

public class Trigger

Field Summary
`final static String` | `AFTER`
`final static String` | `NONE`
`final static String` | `SIGNAL`
`final static String` | `WHEN`

Constructor Summary
`Trigger(String type, String expression)`

Method Summary
`double` | `getDelay()`
`Event` | `getEvent()`
`double` | `getExecutionTime()`
`String` | `getExpression()`
`String` | `getType()`
`void` | `setDelay(double delay)`
`void` | `setEvent(Event event)`
`void` | `setExecutionTime(double executionTime)`
`void` | `setExpression(String expression)`
`void` | `setType(String type)`
`String` | `toString()`

Field Detail

### AFTER

    public final static String AFTER

### NONE

    public final static String NONE

### SIGNAL

    public final static String SIGNAL

### WHEN

    public final static String WHEN

Constructor Detail

### Trigger

    public Trigger(String type, String expression)

  pending - check type

Method Detail

### getDelay

    public double getDelay()

### getEvent

    public Event getEvent()

### getExecutionTime

    public double getExecutionTime()

### getExpression

    public String getExpression()

### getType

    public String getType()

### setDelay

    public void setDelay(double delay)

### setEvent

    public void setEvent(Event event)

### setExecutionTime

    public void setExecutionTime(double executionTime)

### setExpression

    public void setExpression(String expression)

### setType

    public void setType(String type)

### toString

    public String toString()

Association Links

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

  Event type, one of WHEN, AFTER, SIGNAL or NONE.

to Class java.lang.String

  Expression to evaluate the trigger. The expression value depends from trigger type: WHEN - boolean expression AFTER - real expression SIGNAL - signal (trigger name)

to Class biouml.plugins.simulation.hybrid.Event

  Event that is owner of the trigger. Owner is responsible for trigger action.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM